#include <iostream>

using namespace std;

int f(int c)
{
    int n=0;
    if(c>=5)
    {
        n++;
        c-=5;
    }
    if(c>=2)
    {
        n++;
        c-=2;
    }
    if(c>=2)
    {
        n++;
        c-=2;
    }
    if(c>=1)
    {
        n++;
        c-=1;
    }
    return n;
}

int main()
{
    long long v;
    int r=0;
    cin>>v;
    while(v>0)
    {
        r+=f(v%10);
        v/=10;
    }
    cout<<r;

    return 0;
}